%define _name eog
%define ver_major 2.6

Name: eog2
Version: %ver_major.1
Release: alt1

Summary: Eye Of Gnome
License: GPL
Group: Graphics
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Obsoletes: %_name

%define rpm_ver 4.0.4-alt14
%define exif_ver 0.5.12
%define libgnomeprint_ver 2.6.1
%define libbonoboui_ver 2.5.4
%define libgnomeui_ver 2.6.0
%define glade2_ver 2.0.1-alt2
%define librsvg_ver 2.6.4
%define gnome_vfs_ver 2.6.1.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

Requires: libexif >= %exif_ver
Requires: libgnomeprint2 >= %libgnomeprint_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libglade2 >= %glade2_ver
Requires: librsvg2 >= %librsvg_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver

BuildPreReq: gnome-common >= 1.2.4-alt3
BuildPreReq: libexif-devel >= %exif_ver
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libglade2-devel >= %glade2_ver
BuildPreReq: librsvg2-devel >= %librsvg_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver

# Automatically added by buildreq on Tue Apr 27 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexif-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
This is the Eye of Gnome, an image viewer program. It is meant to be
a fast and functional image viewer as well as an image cataloging
program.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version

%build
%configure --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Multimedia/Graphics" \
    %buildroot%_datadir/applications/%_name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %_name

%post
%gconf2_install %_name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/%_name
%_datadir/idl/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog HACKING MAINTAINERS NEWS
%doc README THANKS TODO

%changelog
* Thu Apr 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Sat Mar 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- rebuild with new libexif 0.5.12.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Fri Jun 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Wed Apr 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Tue Oct 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- 1.1.0
- buildreqs/reqs updated (eog uses libglade2 now)
- %%files section fixed.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- rebuild with new pango, gtk+

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3
- updated buildrequires

* Thu Jul 04 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- First build for Sisyphus.
